Mail archive
alpine-aports

[alpine-aports] [PATCH 2/7] testing/perl-algorithm-diff: new aport

From: Nick Andrew <nick_at_nick-andrew.net>
Date: Sat, 13 Aug 2016 14:56:08 +0000

http://search.cpan.org/~tyemq/Algorithm-Diff-1.1903
Compute `intelligent' differences between two files / lists
---
 testing/perl-algorithm-diff/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-algorithm-diff/APKBUILD
diff --git a/testing/perl-algorithm-diff/APKBUILD b/testing/perl-algorithm-diff/APKBUILD
new file mode 100644
index 0000000..7df19d9
--- /dev/null
+++ b/testing/perl-algorithm-diff/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nick Andrew <nick_at_nick-andrew.net>
+# Maintainer: Nick Andrew <nick_at_nick-andrew.net>
+pkgname=perl-algorithm-diff
+_pkgreal=Algorithm-Diff
+pkgver=1.1903
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Algorithm-Diff/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/T/TY/TYEMQ/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="0e8add21a641b8d66436df0c2024bf3b  Algorithm-Diff-1.1903.tar.gz"
+sha256sums="30e84ac4b31d40b66293f7b1221331c5a50561a39d580d85004d9c1fff991751  Algorithm-Diff-1.1903.tar.gz"
+sha512sums="61632be4c19a03ccacaa218ab7cb8bdbc53a4a6030b8173a59c7611056375536788392c1da00ab88f3df9884fc8a67825efc83b70e2e564664d5187021d6b106  Algorithm-Diff-1.1903.tar.gz"
-- 
2.9.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Aug 13 2016 - 14:56:08 GMT